diff --git a/debian/tree/busybox-udeb/etc/udhcpc/default.script b/debian/tree/busybox-udeb/etc/udhcpc/default.script
index a47bdae..bba0d6b 100755
--- a/debian/tree/busybox-udeb/etc/udhcpc/default.script
+++ b/debian/tree/busybox-udeb/etc/udhcpc/default.script
@@ -66,12 +66,14 @@ case "$1" in
 			ip link set "$interface" mtu "$mtu"
 		fi
 
-		# special case for /32 subnets, use onlink when adding routes
-		[ ".$subnet" = .255.255.255.255 ] \
-			 && onlink=onlink || onlink=
-		for r in "$router"; do
-			ip -4 route add default via "$r" $onlink
-		done
+		if [ -n "$router" ]; then
+			# special case for /32 subnets, use onlink when adding routes
+			[ ".$subnet" = .255.255.255.255 ] \
+				 && onlink=onlink || onlink=
+			for r in "$router"; do
+				ip -4 route add default via "$r" $onlink
+			done
+		fi
 
 		do_resolv_conf
 
